<?php
//default Einstellungen
$v1 = 0;
$v2 = 0;
$v3 = 0;
$v4 = 0;

//berprfung von Wertebergabe per URL
if (isset($_GET["v1"])) {$v1 = $_GET["v1"];}
if (isset($_GET["v2"])) {$v2 = $_GET["v2"];}
if (isset($_GET["v3"])) {$v3 = $_GET["v3"];}
if (isset($_GET["v4"])) {$v4 = $_GET["v4"];}


$breite=200;$hoehe=300;
//Kreiere Bild
$im = ImageCreate ($breite, $hoehe);

//weiss und schwarz zuordnen
$weiss  = ImageColorAllocate ($im, 255, 255, 255);
$schwarz = ImageColorAllocate ($im, 0, 0, 0);

//weissen Hintergrund zeichnen
ImageFilledRectangle($im,0,0,$breite  ,$hoehe,$weiss );

//Daten fr Balken
$data = array ("1"=>"$v1",
               "2"=>"$v2",
               "3" => "$v3",
               "4" => "$v4"
               
);

//Berechnung einiger Werte abhngig von Bilddimensionen
$maxwert = max($data);
$hoehefaktor = ($hoehe-10) / $maxwert;
$blockbreite = $breite / count($data);
$abstand = $blockbreite / 10;
$z=0;

//Zeichne fr jeden Wert einen Balken
foreach($data as $monat => $wert)
{
    $z++;
    $farbe = ImageColorAllocate ($im, ($wert/$maxwert*250)-50, 100, 0);
    $start_x = $abstand+ ($blockbreite * ($z-1)) ;
    $start_y = $hoehe - ($wert * $hoehefaktor);
    $end_x   = ($blockbreite * $z)-$abstand  ;
    $end_y   = $hoehe;
ImageFilledRectangle($im,$start_x,$start_y,$end_x,$end_y,$farbe);
 
}

// Schwarzes Rechteck um das Bild
ImageRectangle($im,0,0,$breite-1,$hoehe-1,$schwarz);

// Bild ausgeben
Header ("Content-type: image/png");
ImagePNG ($im);
ImageDestroy ($im);

?>
